Bug 129818 - [PATCH] lang/ruby19: update to 1.9.0-5
[PATCH] lang/ruby19: update to 1.9.0-5
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Stanislav Sedov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-21 15:10 UTC by Hung-Yi Chen
Modified: 2009-02-09 18:00 UTC (History)
0 users

See Also:


Attachments
ruby19 (2.74 KB, text/plain)
2008-12-21 15:10 UTC, Hung-Yi Chen
no flags Details
file.diff (388 bytes, patch)
2008-12-21 15:10 UTC, Hung-Yi Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hung-Yi Chen 2008-12-21 15:10:01 UTC
	1.9.0-1 is vulnerable, update to 1.9.0-5(svn revision 19669).
	See http://www.ruby-lang.org/en/news/2008/08/08/multiple-vulnerabilities-in-ruby/ .
Comment 1 Edwin Groothuis freebsd_committer 2008-12-21 15:10:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stas

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2009-02-09 17:50:05 UTC
stas        2009-02-09 17:49:51 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.ruby.mk 
    lang/ruby19          Makefile distinfo pkg-plist 
    lang/ruby19/files    patch-configure patch-io.c 
                         patch-mkconfig.rb 
  Log:
  - Update ruby19 to 1.9.1.
  
  PR:             ports/129818 (based on)
  Submitted by:   Hung-Yi Chen <gaod@hychen.org>
  
  Revision  Changes    Path
  1.174     +4 -4      ports/Mk/bsd.ruby.mk
  1.4       +8 -4      ports/lang/ruby19/Makefile
  1.3       +3 -3      ports/lang/ruby19/distinfo
  1.2       +8 -8      ports/lang/ruby19/files/patch-configure
  1.2       +6 -6      ports/lang/ruby19/files/patch-io.c
  1.2       +6 -6      ports/lang/ruby19/files/patch-mkconfig.rb
  1.3       +134 -102  ports/lang/ruby19/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Stanislav Sedov freebsd_committer 2009-02-09 17:50:10 UTC
State Changed
From-To: open->closed

Committed. Thanks!